| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Types | Public Attributes | List of all members
wxAuiDockUIPart Class Reference

`#include <wx/aui/framemanager.h>`

## Public Types

enum | { typeCaption, typeGripper, typeDock, typeDockSizer, typePane, typePaneSizer, typeBackground, typePaneBorder, typePaneButton }

## Public Attributes

int | type
int | orientation
wxAuiDockInfo * | dock
wxAuiPaneInfo * | pane
wxAuiPaneButton * | button
wxSizer * | cont_sizer
wxSizerItem * | sizer_item
wxRect | rect

## Member Enumeration Documentation

anonymous enum

Enumerator
typeCaption |
typeGripper |
typeDock |
typeDockSizer |
typePane |
typePaneSizer |
typeBackground |
typePaneBorder |
typePaneButton |

## Member Data Documentation

wxAuiPaneButton* wxAuiDockUIPart::button

wxSizer* wxAuiDockUIPart::cont_sizer

wxAuiDockInfo* wxAuiDockUIPart::dock

int wxAuiDockUIPart::orientation

wxAuiPaneInfo* wxAuiDockUIPart::pane

wxRect wxAuiDockUIPart::rect

wxSizerItem* wxAuiDockUIPart::sizer_item

int wxAuiDockUIPart::type